Name:		chmlib
Summary:	Library for dealing with ITSS/CHM format files
Version:	0.40
Release:	2%{?dist}
License:	LGPLv2+
Group:		Development/Libraries
Url:		http://www.jedrea.com/chmlib/
Source:		http://www.jedrea.com/chmlib/%{name}-%{version}.tar.bz2
Patch0:		chmlib-chm_lib-fix_for_multiarch.diff
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
CHMLIB is a library for dealing with ITSS/CHM format files. Right now, it is
a very simple library, but sufficient for dealing with all of the .chm files
I've come across. Due to the fairly well-designed indexing built into this
particular file format, even a small library is able to gain reasonably good
performance indexing into ITSS archives.

%package devel
Summary:	Library for dealing with ITSS/CHM format files - development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Files needed for developing apps using chmlib.

%prep
%setup -q
%patch0 -p0

%build
%configure --enable-examples --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
%{__rm} -f %{buildroot}/%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/chm_http
%{_bindir}/enum_chmLib
%{_bindir}/enumdir_chmLib
%{_bindir}/extract_chmLib
%{_bindir}/test_chmLib
%{_libdir}/libchm.so.*
%doc README AUTHORS COPYING NEWS

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libchm.so

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.40-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 28 2009 Peter Lemenkov <lemenkov@gmail.com> 0.40-1
- Ver. 0.40

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Mar 29 2008 Peter Lemenkov <lemenkov@gmail.com> 0.39-7
- Enable utilities (close BZ#437151)

* Sat Feb  9 2008 Peter Lemenkov <lemenkov@gmail.com> 0.39-6
- Rebuild for GCC 4.3

* Sun Sep 30 2007 Peter Lemenkov <lemenkov@gmail.com> 0.39-5
- Changel license tag from LGPL to LGPLv2+

* Sun Aug  5 2007 Peter Lemenkov <lemenkov@gmail.com> 0.39-4
- Better fix for multi-arch issues

* Sat Aug  4 2007 Peter Lemenkov <lemenkov@gmail.com> 0.39-3
- Upstream URL changed

* Thu Aug 02 2007 Oliver Falk <oliver@linux-kernel.at> 0.39-2
- Add alpha fix

* Thu Feb  1 2007 Peter Lemenkov <lemenkov@gmail.com> 0.39-1
- Ver. 0.39

* Tue Sep 12 2006 Peter Lemenkov <lemenkov@gmail.com> 0.38-2%{?dist}
- rebuild for FC6

* Wed Jun 28 2006 Peter Lemenkov <lemenkov@newmail.ru> 0.38-1%{?dist}
- Version 0.38

* Thu Mar 30 2006 Peter Lemenkov <lemenkov@newmail.ru> 0.37.4-6%{?dist}
- rebuild

* Mon Mar 27 2006 Peter Lemenkov <lemenkov@newmail.ru> 0.37.4-5%{?dist}
- rebuild

* Tue Jan 10 2006 Peter Lemenkov <lemenkov@newmail.ru> 0.37.4-4%{?dist}
- Next try to fix powerpc-arch 

* Mon Jan 09 2006 Peter Lemenkov <lemenkov@newmail.ru> 0.37.4-3%{?dist}
- Typo fix

* Mon Jan 09 2006 Peter Lemenkov <lemenkov@newmail.ru> 0.37.4-2%{?dist}
- Fix for PPC-arch

* Sat Nov 12 2005 Peter Lemenkov <lemenkov@newmail.ru> 0.37.4-1
- Initial build for FC-Extras

